Public Attributes | List of all members
hrs_c_handles_t Struct Reference
BLE Services » Heart Rate Service Client (HRS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <hrs_c.h>`

## Public Attributes
uint16_t | hrs_srvc_start_handle
| HRS Service start handle. More...
uint16_t | hrs_srvc_end_handle
| HRS Service end handle. More...
uint16_t | hrs_hr_meas_handle
| HRS Heart Rate Measurement characteristic Value handle which has been got from peer. More...
uint16_t | hrs_hr_meas_cccd_handle
| HRS CCCD handle of Heart Rate Measurement characteristic which has been got from peer. More...
uint16_t | hrs_sensor_loc_handle
| HRS Sensor Location characteristic Value handle which has been got from peer. More...
uint16_t | hrs_ctrl_point_handle
| HRS Control Point characteristic Value handle which has been got from peer. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 133 of file hrs_c.h.

## Member Data Documentation

## ◆ hrs_ctrl_point_handle

uint16_t hrs_c_handles_t::hrs_ctrl_point_handle

HRS Control Point characteristic Value handle which has been got from peer.

Definition at line 140 of file hrs_c.h.

## ◆ hrs_hr_meas_cccd_handle

uint16_t hrs_c_handles_t::hrs_hr_meas_cccd_handle

HRS CCCD handle of Heart Rate Measurement characteristic which has been got from peer.

Definition at line 138 of file hrs_c.h.

## ◆ hrs_hr_meas_handle

uint16_t hrs_c_handles_t::hrs_hr_meas_handle

HRS Heart Rate Measurement characteristic Value handle which has been got from peer.

Definition at line 137 of file hrs_c.h.

## ◆ hrs_sensor_loc_handle

uint16_t hrs_c_handles_t::hrs_sensor_loc_handle

HRS Sensor Location characteristic Value handle which has been got from peer.

Definition at line 139 of file hrs_c.h.

## ◆ hrs_srvc_end_handle

uint16_t hrs_c_handles_t::hrs_srvc_end_handle

HRS Service end handle.

Definition at line 136 of file hrs_c.h.

## ◆ hrs_srvc_start_handle

uint16_t hrs_c_handles_t::hrs_srvc_start_handle

HRS Service start handle.

Definition at line 135 of file hrs_c.h.

The documentation for this struct was generated from the following file:

- hrs_c.h